import 'package:lib/lib.dart';

class CalendarEvent {
  static const teamIdDbFieldName = "teamId";
  static const titleDbFieldName = "title";
  static const descriptionDbFieldName = "description";
  static const startDbFieldName = "start";
  static const endDbFieldName = "end";

  static const userIdRequestResponseFieldName = "userId";
  static const teamIdRequestResponseFieldName = "teamId";
  static const titleRequestResponseFieldName = "title";
  static const descriptionRequestResponseFieldName = "description";
  static const startRequestResponseFieldName = "start";
  static const endRequestResponseFieldName = "end";

  final String? _id;
  final String _teamId;
  final String _title;
  final String? _description;
  final DateTime _start;
  final DateTime _end;

  String? get id => _id;

  Permissions? get permissions => null;

  String get teamId => _teamId;
  String get title => _title;
  String? get description => _description;
  DateTime get start => _start;
  DateTime get end => _end;

  CalendarEvent({String? id, required String teamId, required String title, String? description, required DateTime start, required DateTime end}) :
        _id = id,
        _teamId = teamId,
        _title = title,
        _description = description,
        _start = start,
        _end = end;
}
