import 'package:lib/lib.dart';

class Team implements ResponseModel {
  static const String teamIdResponseFieldName = "teamId";
  static const String teamNameResponseFieldName = "teamName";
  
  final String _teamId;
  final String _teamName;

  String get teamId => _teamId;
  String get teamName => _teamName;

  Team({required String teamId, required String teamName}) :
    _teamId = teamId,
    _teamName = teamName;
  
  @override
  Map<String, dynamic> toResponseData() {
    return {
      teamIdResponseFieldName: teamId,
      teamNameResponseFieldName: teamName,
    };
  }
}
