import 'dart:io';

class DbActionForbiddenException implements IOException {
  final String action;
  final String db;

  const DbActionForbiddenException(this.action, this.db);

  @override
  String toString() {
    return "Database $db does not allow action $action";
  }
}
