import 'dart:io';

class AppwriteVariables {
  static String get projectId => Platform.environment['APPWRITE_FUNCTION_PROJECT_ID'] ?? "";
  static String userId(final context) {
    return context.req.headers['x-appwrite-user-id'];
  }
  static String trigger(final context) {
    return context.req.headers['x-appwrite-trigger'];
  }
}

class DatabaseVariables {
  static String get idColumnName => "\$id";
  static String get permissionsColumnName => "\$permissions";
}

class RequestResponseVariables {
  static String get idFieldName => "id";
  static String get queriesFieldName => "queries";
}
