import 'package:lib/lib.dart';
import 'package:point/point/point.dart';
import 'package:point/point/point_database.dart';

class PointApiEndpoint extends DbApiEndpoint<Point, Point> {
  static const String path = "/point";

  PointApiEndpoint({required super.requestingUser, required String host, required String projectId, required String apiKey}) :
    super(
      database: PointDatabase(host: host, projectId: projectId, apiKey: apiKey),
      itemGenerator: Point.fromRequest
    );
}
