import 'dart:io';

class ApiActionForbiddenException implements IOException {
  final String action;
  final String api;

  const ApiActionForbiddenException(this.action, this.api);

  @override
  String toString() {
    return "Api $api does not allow action $action";
  }
}
