import 'package:lib/src/user_details.dart';

class DbRequest<T> {
  final T _item;
  final UserDetails _requestingUser;

  T get item => _item;
  UserDetails get requestingUser => _requestingUser;

  DbRequest({required T item, required UserDetails requestingUser}) :
    _item = item,
    _requestingUser = requestingUser;
}