import 'package:lib/src/exceptions/required_argument_missing.dart';

T getRequiredMapItem<T>(String key, Map<String, dynamic> map) {
  if (!map.containsKey(key)) {
    throw RequiredArgumentMissing(key);
  }

  return map[key];
}

T? getOptionalMapItem<T>(String key, Map<String, dynamic> map) {
  if (map.containsKey(key)) {
    return map[key];
  }
  return null;
}
